GET api/itemapi/item/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

ItemViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

active

boolean

None.

code

string

Required

String length: inclusive between 0 and 30

color_id

globally unique identifier

None.

customer_id

globally unique identifier

Required

grouping_quantity

integer

None.

id

globally unique identifier

None.

item_service_id

globally unique identifier

None.

item_garment_type_id

globally unique identifier

None.

item_segment_id

globally unique identifier

None.

item_type_id

globally unique identifier

None.

purchase_price

decimal number

None.

sale_price

decimal number

None.

size_id

globally unique identifier

None.

supplier_code

string

String length: inclusive between 0 and 30

supplier_description

string

String length: inclusive between 0 and 100

unit

string

String length: inclusive between 0 and 10

weight

integer

None.

root_code

string

String length: inclusive between 0 and 30

Response Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "active": true,
  "code": "sample string 2",
  "color_id": "3540e8e0-67d8-4caf-93b9-92843766bca1",
  "customer_id": "24697445-3dd5-4c06-a807-2b1c14bbf5dd",
  "grouping_quantity": 1,
  "id": "594d7322-4712-4000-86b4-d71705376914",
  "item_service_id": "36b63f64-9ae1-4afc-bb45-02198613c1e8",
  "item_garment_type_id": "d1921865-18d6-4e2e-a5d3-66ed276feead",
  "item_segment_id": "0facffb2-7e1a-4034-9e00-6731cc233f17",
  "item_type_id": "a6fe6057-4da5-4aff-9969-548bea478f89",
  "purchase_price": 1.0,
  "sale_price": 1.0,
  "size_id": "7ff98602-c022-4888-af0e-2b953104e951",
  "supplier_code": "sample string 6",
  "supplier_description": "sample string 7",
  "unit": "sample string 8",
  "weight": 1,
  "root_code": "sample string 9"
}

application/xml, text/xml

Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>sample string 2</code>
  <color_id>3540e8e0-67d8-4caf-93b9-92843766bca1</color_id>
  <customer_id>24697445-3dd5-4c06-a807-2b1c14bbf5dd</customer_id>
  <grouping_quantity>1</grouping_quantity>
  <id>594d7322-4712-4000-86b4-d71705376914</id>
  <item_garment_type_id>d1921865-18d6-4e2e-a5d3-66ed276feead</item_garment_type_id>
  <item_segment_id>0facffb2-7e1a-4034-9e00-6731cc233f17</item_segment_id>
  <item_service_id>36b63f64-9ae1-4afc-bb45-02198613c1e8</item_service_id>
  <item_type_id>a6fe6057-4da5-4aff-9969-548bea478f89</item_type_id>
  <purchase_price>1</purchase_price>
  <root_code>sample string 9</root_code>
  <sale_price>1</sale_price>
  <size_id>7ff98602-c022-4888-af0e-2b953104e951</size_id>
  <supplier_code>sample string 6</supplier_code>
  <supplier_description>sample string 7</supplier_description>
  <unit>sample string 8</unit>
  <weight>1</weight>
  <descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </descriptions>
</item>